﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Globals;
@model Toyota.Common.Web.MVC.ModelHolder
          

<div style="height: 15px; width:100%;">
</div>
<table border="0">
    <tr>
        
        <td align="center" style="width:150px; background-color:Silver"><b>Total</b></td>
            <td style="width:50px"></td>
            <td align="center" style="width:100px; border: 1px solid #142B94;background-color:Silver">IDR</td>
            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRAmount";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRTax";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRTotal";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRAmountSupp";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRTaxSupp";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRTotalSupp";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblIDRDiffSupp";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                        </tr>
       <tr>
                            <td></td>
                            <td style="width:50px"></td>
                            <td align="center" style="width:100px; border: 1px solid #142B94;background-color:Silver">USD</td>
                            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDAmount";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDTax";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDTotal";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDAmountTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDTaxTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDTotalTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblUSDDiffTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                        </tr>
                        <tr>
                           <td></td>
                           <td style="width:50px"></td>
                            <td align="center" style="width:100px; border: 1px solid #142B94; background-color:Silver">JPY</td>
                            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYAmount";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYTax";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYTotal";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYAmountTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYTaxTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYTotalTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                            <td style="width:50px"></td>
                            <td align="right" style="width:110px; border: 1px solid #142B94">
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Name = "lblJPYDiffTMMIN";
                                    label.Text = "0";
                                    label.ClientVisible = true;
                                    label.Properties.Style.HorizontalAlign = HorizontalAlign.Right;
                                    label.Properties.DisplayFormatString = "#,##0";
                                    
                                }).GetHtml()
                            </td>
                        </tr>
  
</table>
